#ifndef GLOBAL_H
#define GLOBAL_H

#include <qobject.h>
#include <qfile.h>

class Global:public QObject
{
    Q_OBJECT
public:
    Global();
    static Global* instance();

    enum Mode{
        Analysis,
        ConnectedToDev,
        DeliveredData,
        ExperimentStart
    };

    void setMode(const Mode);
    Mode getMode(){return _mode;}

    enum DeviceConnectionStatus{
        Disconnected,
        Connected
    };

#if 0
    void setDeviceConnectionStatus(const DeviceConnectionStatus);
    DeviceConnectionStatus getDeviceConnectionStatus(){return _deviceConnectStatus;}
#endif


signals:
    void sigModeModify(const Mode);
    void sigDeviceConnnectionStatusModify(const DeviceConnectionStatus);
public slots:
private:
    Mode _mode;
    DeviceConnectionStatus _deviceConnectStatus;
};

#endif // GLOBAL_H
